Bug 144437 - rcp -PO option is not working
Summary: rcp -PO option is not working
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: rsh   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-07 00:21 UTC by Reiner Voigt
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 15:13:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Reiner Voigt 2005-01-07 00:21:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.7.5)
Gecko/20041217

Description of problem:
Option to use old kerberos version (-PO) is not working.
Option for new kerberos version (-PN) works fine.

man rcp:

-PN

       -PO    Explicitly request new or old version of the Kerberos
��rcmd�� protocol.   The  new  protocol
              avoids  many  security  problems  found  in  the old
one, but is not interoperable with older
              servers.  (An "input/output error" and a closed
connection  is  the  most  likely  result  of
              attempting  this  combination.)   If  neither option is
specified, some simple heuristics are
              used to guess which to try.



Version-Release number of selected component (if applicable):
rsh-0.17-24.1

How reproducible:
Always

Steps to Reproduce:
1. rcp -PO -r <remote_host>:/<remote_fs> /tmp
    

Actual Results:  rcp: invalid option -- P


Expected Results:  remote copy from remote host to local fs.

Additional info:

I use -P0 (zero) and -PO (O) to proof if my syntax is wrong. But both
options did not work.

Comment 1 Karel Zak 2005-01-07 08:34:13 UTC
Sure, the man page is for kerberosized "rsh" version but you run
classic "rsh" without kerberos support.

/usr/bin/rsh
/usr/kerberos/bin/rsh

$ /usr/kerberos/bin/rsh
usage:  rsh host [ -PN / -PO ] [ -l login ] [ -n ] [ -x ] [ -f / -F]
command
OR      rsh [ -PN / -PO ] [ -l login ] [-n ] [ -x ] [ -f / -F ] host
command

$ /usr/bin/rsh
usage: rsh [-nd] [-l login] host [command]


You need to install krb5-workstation rpm package.



Note You need to log in before you can comment on or make changes to this bug.